================================================================================
Intel(R) Xeon(R) Processor-Based Server BIOS Development
================================================================================
INTEL Enterprise Products and Services Division
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA
================================================================================
DATE    : March 15, 2010
TO      : Multi-Core Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : BIOS Release notes for version R0048
================================================================================
                           LEGAL INFORMATION
================================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation 
may have patents or pending patent applications, trademarks, copyrights, or
other intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any such
patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2010 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : S5500.86B.01.00.0048.022720101225
Build Date  : Feb. 27. 2010

================================================================================
                           BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported: 
  Intel(R) Xeon(R) Processor 5500 series
    w/ <= 6.40GT/s Max Intel(R) QuickPath Interconnect Speed

Microcode update versions:
CPUID     Version      Status
0x106A4   0x00000011   Production (Intel(R) Xeon(R) Processor 5500 series C0/C1)
0x106A5   0x00000011   Production (Intel(R) Xeon(R) Processor 5500 series D0)
0x206C2   0x00000005   Production (Intel(R) Xeon(R) Processor 5600 series B1)


On-Board Component Option ROM Versions:
IBMC Matrox VGA                : VBE BIOS V3.8SM
ICH9R/ICH10 AHCI Option ROM    : iSrc 1.18_E 05012008
ICH10 SATA SW-RAID Option ROM  : vA.09.07211059I
82575EB iSCSI Boot Option ROM  : v2.2.96
82567LM, 82571EB, 82574L,
82575EB, & 82576 PXE Version   : Intel(R) Boot Agent GE v1.3.27
82599EB PXE Version            : Intel(R) Boot Agent XG v2.1.30 Alpha-3

Intel(R) QPI Reference Code Version : 1.84
Memory Reference Code Version       : 2.11

Management Engine Firmware Version  : SPS_01.01.02.007.0 Production

================================================================================
                       SYSTEM FIRMWARE REQUIREMENTS
================================================================================
BIOS Update Utility: 
  UEFI iFlash32 2.6 Build 10

Production boards:
  Product		Fab Version	BMC	FRUDSR		EEPROM	HSC 
  S5500BC		Fab3, Fab4	00.34	FBC_12		1.1	2.09
  S5520HC		Fab3, Fab4	00.34	FHC_15		1.3	2.09
  s5520HCV		Fab3, Fab4	00.34	FHC_15		1.3	2.09
  S5520SC		Fab2		00.34	FHC_15		1.3	2.09
  S5520UR		Fab3->Fab6	00.34	FUR_14		1.3	2.09
  S5500WB		Fab1->Fab3	00.34	FWB_07		1.4	N/A
  S5500WB12V		Fab1->Fab3	00.34	FWB_07		1.4	N/A
  

The following update process must be followed to ensure a trouble free update from the BIOS R0025/R0025.1, BMC00.28 releases.
1.	BMC firmware to 00.34 or later
2.	BIOS R0033 or later
3.	Manageability Engine (ME) firmware 01.10 or later
4.	Latest FRU/SDR package specific to the baseboard.


================================================================================
                           INSTALLATION NOTES
================================================================================

WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

Updating from BIOS revisions R0018 or later:

User can update BIOS flash image via either of the following methods...
UEFI iFlash32 2.6 Build 10
   1.  Boot the system to EFI Shell
   2.  Copy IFlash32.efi and BIOS .CAP file to a HD or USB Flash Drive
       ( Do not use the Rec.CAP file as it will clear NVRAM and should
         only be used for Recovery - See Recovery Instructions located in the seperate recovery package )
   3.  Map the respective storage device in system with the command
	   Shell> map -r
   4.  Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
   5.  Run the IFlash32 utility on the prompt
	   fs0:\> IFlash32 [File Name] /u /ni
   6.  Reboot system after the update is completed.

================================================================================
                        BIOS RECOVERY INSTRUCTIONS
================================================================================

The recovery instructions and recovery files are now located in a seperate package available for download.

================================================================================
                            KNOWN ISSUES/WORKAROUNDS
================================================================================

- The UEFI iFlash32 BIOS Update Utility should only be used after the R0018 or
  later BIOS version is properly installed on your system.  Refer to the section
  regarding INSTALLATION NOTES above.

- If performing BIOS recovery process and the system hangs at POST Code 0x34 before
  the BIOS POST screen appears, it may a require a warm reset via the front panel
  or AC power cycle for recovery to properly detect the recovery media and load
  FVMAIN.FV from the recovery device.

- For S5500BC, S5520HC, s5520HCV, S5520SC, S5520UR, S5500WB & S5500WB12V Platforms, please ensure that
  the BMC FW installed is v0.31 or later before updating to the R0029 or later
  BIOS release.  Using BIOS R0029 with any BMC FW prior to v0.31 could cause the
  system to automatically shutdown upon A/C power cycles.

- BIOS R0037 and later requires a firm key press during POST to get a key accepted.

- BIOS R0047 and later: Intel(R) Xeon(R) Processor 5600 series A0 stepping no longer supported.

================================================================================
                                R0048
================================================================================
- Fixed: Console redirection binary update for DC cycle hang issue.
- Fixed: Secure Erase procedure causes BIOS hang.
- Updated memory reference code to version 2.11.

================================================================================
                                R0047
================================================================================
- Fixed: Can not install Microsoft* Windows* 2008 with external USB ODD if the internal ODD is removed.
- Fixed: Show incorrect information about L3 cache on the Intel(R) microarchitecture codename Westmere B0 12MB process.
- Fixed: BitLocker drive Encryption test fail with WSM.
- Fixed: Microsoft* Windows* 2000 Adv Svr SP4 Intall (Windows fails to Reset).

Other:
Updated MicroCode to version 0x06/0x05.
Enabled Turbo Hysteresis on Intel(R) microarchitecture codename Westmere.

================================================================================
                                R0046
================================================================================
- Fixed: Microsoft* Windows* certification test failure. 


================================================================================
                                R0045
================================================================================
- Fixed: Invalid Date code when using clear CMOS jumper.
- Fixed: BIOS Option "Memory Mapped I/O above 4GB" is not functional.
- Fixed: BIOS Setup is reporting incorrect version of SDR.
- Fixed: CMOS setup options - a disabled serial port can be set as console redirection.
- Fixed: Mismatched CPUs Fails to Light Amber LED.
- Fixed: System can't enter ERST2 RAID OPROM with the 10G NIC I/O module installed.
- Fixed: Pressing <F9> to load BIOS defaults will change HyperThreading (HT) from disabled to enabled when processors that don't support HT are installed.
- Fixed: Clock Throttling via Linux SW Control is inoperative.
- Fixed: Quantum* DAT72-000* and DLT-V4* were not listed in BIOS setup.

Other:
Updated MRC to version 1.81.
Updated QPIRC to v1.80.
Updated SPS 01.01.02.007.0 Production #3 ME FW update.
- Added: Support for the Winbond* W25Q64BV* flash device.
- Added: Set iBMC mailbox corresponding bits for LVDDR3 DIMMs
- Added: Turbo Boost power optimization support.

================================================================================
                                R0042
================================================================================
- Fixed: The system may hang after console redirection is enabled in BIOS setup.

Other:

Intel(R) QPI Reference Code Version update to version 1.75.


================================================================================
                                R0041
================================================================================
- Fixed: Incorrect Platform ID for S5500WB S5500WBV.
- Fixed: Some Fiber Channel RAID adapters fail in slots 1 & 2 of the 2U PCIe butterfly riser.
- Fixed: Prefetchable Memory not being properly allocated to Multiple cards.
- Fixed: Processor C3/C6 setting can be changed with user password login.
- Fixed: There is an incorrect IO Interrupt Entry in MP Table for onboard LAN.
- Fixed: BIOS reverts to OLTT with Temp Sensor enabled UDIMMs.
- Fixed: QPI speed mismatch error (0x195) behavior is incorrect.
- Fixed: Pressing <F12> during POST (network boot) is not protected by the Admin password.
- Fixed: The system hangs after pressing "Pause" key.
- Fixed: BMC user password setting in BMC Lan configuration only allows 7 of 15 characters.
- Fixed: Backplane fault LEDs blinking unreasonably during POST with SWRAID mode enabled.
- Fixed: TEAC* DVD-ROM DV-W28S-RZ3 cannot boot under AHCI mode. 
- Fixed: EFI Shell: 'reconnect -r' locks system after approximately 3 times.
- Fixed: FRU Checksum Field is not updated when the serial number is edited in BIOS setup.
CCB556: When BMC is in force update mode, the BMC configuration can be edited in BIOS setup.

Other:
- Added: BMC onboard NIC and RMM3 NIC are configurable via BIOS Setup.
- Added: Enchanced manageability (SMBIOS) via OOB.
- Added: WorkStation Logo for S5520SC.
- Added: LSI Option ROM update A.09.07211059I.
- Added: Report POST error code 0x8500 when the system transitions from Mirroring mode to independent mode.
- Added: Intel(R) Xeon(R) Processor 5500 series C-0 processor microcode Production patch revision 0x11.

================================================================================
                                R0038
================================================================================
- Fixed: No beep code is generated when processor microcode is unavailable for the processor installed.
- Fixed: Long delay to enter EFI shell from the BIOS setup menu when AHCI is enabled.
- Fixed: Remote system via serial redirection does not show any display prior to entering operating system with Quiet Boot enabled in 	BIOS setup.
- Fixed: With Quiet Boot enabled in BIOS and Console Redirection enabled, the remote system will only display a blank screen after 	pressing <F2> to enter BIOS setup from the remote system.

Other:
- Updated: help text for C3 and C6 options in BIOS setup.
- Updated: help text for Maximize Memory Below 4GB in BIOS setup and further maximized available memory for non-PAE aware operating 	systems.
- Added: Option to change QPI link speed in BIOS Setup.
- Updated: BIOS help text for Intel(R) SAS Entry RAID Module.

================================================================================
                            R0037
================================================================================
- Fixed: When clearing TPM, the status should be "Disables & Deactivated" not "Disabled & Activated".
- Fixed: 1064e SAS module ESRTII mode is not compatible with onboard SATA SW RAID.
- Fixed: SMBIOS Type 17 Device Set incorrect values. 
- Fixed: SMBIOS Type 19 Ending Address is incorrect.
- Fixed: Removing TPM option from BIOS setup on boards that do not support TPM.
- Fixed: PCI-X riser: system hangs with POST code 0xFB when slots 2 and/or 3 are populated.
- Fixed: BIOS embedded LAN option ROM is still executed even when the setting is disabled.
- Fixed: The first slot of active PCI riser card does not work.
- Fixed: Novell* SLES 10* SP1 will not boot with 3 fibre channel adapters installed.
- Fixed: Error Manager shows "Passwords cleared by jumper" after a BIOS recovery.
- Fixed: HDD LED Activity on backplane is abnormal under RHEL5.3.
- Fixed: S5500BC: <ESC> key response is very slow when Quiet Boot is Enabled - User cannot bypass Splash logo.
- Fixed: S5520VI: With BMC-FORCED jumper installed, BIOS disables the SAS controller.
- Fixed: BMC fails to connect via RMM3 on IO Mezz.
- Fixed: Change data payload size to 256 bytes on S5520UR for certain add-in controllers.
- Fixed: If Legacy OS Redirection is Disabled, legacy oprom output is no longer redirected.


Other:
- Added: C6 and C3 Setup Option in BIOS Setup.
- Increased PCIe completion timeout values for Intel NIC devices per Intel recommendation in the following Specifcation Updates:
	- Intel(R) 82598 10 Gigabit Ethernet Controller Specification Update revision 2.5
	- Intel(R) 82575 Gigabit Ethernet Controller Specification Update and Sighting Information version 2.1
	- Intel(R) 82576 Gigabit Ethernet Controller Specification Update version 2.2
- Updated SMM memory utilization
- Corrected some SMRR bit locks
- Add Intel(R) Xeon(R) Processor 5500 series D-0 processor microcode Production Candidate patch revision 0x04

================================================================================
                                R0036
================================================================================
- Fixed: Can't enter the Option-ROM of the SROMBSASMR RAID adapter.
- Fixed: SROMBSASMR adapter causes a system lock up and can't enter the OPROM after pressing hot key <CTRL+G>.
- Fixed: Pressing <ESC> does not show POST screen and fails to enter SATA SW RAID BIOS console when Quiet Boot is enabled.
- Fixed: The system will Not override OLTT selection if it can support CLTT.
- Fixed: Remote Serial Console is not disconnected when Console Redirection is disabled in BIOS setup.

Other:
- Corrected: BIOS setup SATA Mode [LEGACY] help Text statement was incorrect.

================================================================================
                                R0034
================================================================================
- Fixed: Processor Hyper-Threading setting to disabled will reset to enabled when reentering BIOS setup.
- Fixed: OS installation will stop while RAID adapter  under RHEL5.3 32bit.
- Fixed: OS installation will hang and appear while Loading mptsas driver under RHEL5.3 32bit.
- Fixed: Mass Storage Controller Configuration does not display correct information.

================================================================================
                                R0033
================================================================================
- Fixed: SW RAID option for ICH10R disappears when AXX4SASMOD is present.
- Fixed: Quad port Intel (R) 82576 Gigabit Ethernet Controller Pxe Boot hang booting to RIS server.
- Fixed: BIOS Boot order changes with USB device changes.
- Fixed: BIOS recovery fails intermittently.
- Fixed: DIMM information is incorrect when DIMM population is A1/A2/D2.
- Fixed: HDD running in PIO mode and causing poor performance under Microsoft* Windows* 2003.
- Fixed: BIOS setup indicates Hyperthreading is enabled for processors without Hyperthreading support.

================================================================================
                                R0031
================================================================================
- Fixed: "TPM Administrative Control" Option in Security Menu removed on S5500WB.
- Fixed: BIOS Boot Manager Page goes blank on performing load default settings.
- Fixed: Platform/Board ID mismatch in BIOS setup.
- Fixed: System can't boot to WebBIOS of LSI 1078 midplane with hardware RAID.
- Fixed: Cannot go into the LSI RAID BIOS Console when SATA is configured for enhanced or compatibility mode.
- Fixed: SAS SW RAID option in BIOS SETUP does not appear when SAS IO module is installed.
- Fixed: Qlogic* QLE2464/QLE2564 is not recognized in the 2U PCI riser.
- Fixed: Disabling "Intel(R) SAS Entry RAID Module" in bios, removes the entry.

================================================================================
                                R0030
================================================================================
- Fixed: ACPI S3 resume hang with Dual-processor and Microsoft* Windows* 2003 32 bit.
- Fixed: System will easily hang if greater than 14 USB devices are populated. 
- Fixed: Intel(R) pro quad port EXPI9404PTL is missing from the Microsoft* Windows* device manager.
- Fixed: Unable to install Microsoft* Windows* 2008 x64 UEFI.
- Fixed: SuSE* SLES10 reports: Uhhuh. NMI received for unknown reason 20 & 30.
- Fixed: System unable to execute BIOS recovery from USB DVD/CD-ROM.
- Fixed: Quad NIC IO module boot option disappears when user disables the onboard NIC ROM.
- Fixed: Second NIC is missing in BIOS Setup Boot Manager.

================================================================================
                                R0029
================================================================================
- Fixed: IOH therm trip doesn't assert an event and shutdown when IOH temperature is increased above the threshold.
- Fixed: 1064e based IR card in slot 2 activates incorrect RAID options in BIOS Setup.
- Fixed: Intel(R)RAID Controller SRCSATAWB is not getting detected.
- Fixed: Intel(R) Integrated RAID Controller SROMBSASMR drives don't appear in Microsoft* Windows* 2008 EMT64.
- Fixed: SATA port 4 & 5 device can't be detected in Compatibility & SW RAID mode.
- Fixed: After Enabling BIOS Console Redirection, nothing is redirected on the first boot.
- Fixed: F2 Setup screen shows Blank under Boot Manager.
- Fixed: SUT can not detect device on SATA Port 4/5 in Compatibility Mode under BIOS R0028.

================================================================================
                                R0028
================================================================================
- Fixed: Install two config of MBE DIMM mix then system behavior not right.
- Fixed: Boot system with iBIST reworked DIMM install don't show expect behavior.
- Fixed: Disable SAS RAID function in BIOS menu then Manta Ray cannot be detected.
- Fixed: Console Redirection on Serial port A failed.
- Fixed: Can't boot to SATA RAID OpROM.
- Fixed: S5520SC sometimes boots with 3 beep codes during POST with UDIMM's installed.
- Fixed: Microsoft* Vista* 64-Bit installation fails under AHCI mode.

================================================================================
                                R0026
================================================================================
- Fixed: TPM driver reports errors during ACPI S3 resume under Microsoft* Vista*.
- Fixed: BIOS Setup hangs after "Load Default Values" and "Save Changes".
- Fixed: Hotswap USB devices installed while in BIOS setup the system take about 2 minutes to detect the USB device.
- Fixed: System can't boot to WebBIOS of add-on storage Card installed on riser.

================================================================================
                                R0025
================================================================================
- Fixed: Can't boot to SATA RAID OpROM.
- Fixed: No Hard Disk found when selecting SATA Mode as SW RAID.
- Fixed: Booting from DVDROM takes approximately 1 minute when in Enhanced Mode.


[END OF RELEASE NOTES]


